## dipy 1.9.0

=== debian/changelog ===
dipy (1.9.0-8) unstable; urgency=medium

  * Pandas is optional, move it to Recommends; skip it as a build-dep on
    mips64el for now.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Sep 2024 15:16:36 +0200

dipy (1.9.0-7) unstable; urgency=medium

  * Team upload.
  * d/tests/control: python3-tables is not required on s390x. Also, don't skip
    any extra tests just for s390x.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Sep 2024 14:39:33 +0200

dipy (1.9.0-6) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to add Python 3.13 support. Closes:
    #1081694
  * Backport patch from upstream for better big-endian compatibility.
  * d/control: drop python3-tables build-dep for s390x, it is optional
    and not currently available.
  * d/patches/improve-fibonacci_sphere-reliability: adapted a fix from
    upstream to improve the reliability of a test.
  * Added patch to avoid syntax warnings from LaTeX embedded in
    docstrings
  * Link docs against python3-doc
  * d/control: drop "python-is-python3"; added patch to not need this
  * Improve cross-building by adjusting the python*-dev dependencies as per
    https://wiki.debian.org/CrossBuildPackagingGuidelines#Python_extensions
  * d/rules: drop special handling of s390x
  * d/rules: deep the sphinx object.inv in the -doc package
  * d/control: add build-dep on pkgconf to silence warning.
  * Added patch to remove some flaky test assertions about execution
    durations

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 23 Sep 2024 14:07:44 +0200

dipy (1.9.0-5) unstable; urgency=medium

  * Team upload.
  * d/tests/run-unit-test: skip test_check_img_shapes on all 32-bit archs.
    Closes: #1071448

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 15:06:36 +0200

dipy (1.9.0-4) unstable; urgency=medium

  * Team upload.
  * d/tests/run-unit-test: fix i386 autopkgtest
  * d/patches/relay_comparison: forwarded upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Jun 2024 15:03:21 +0200

dipy (1.9.0-3) unstable; urgency=medium

  * Team upload.
  * Skip the test_check_img_shapes on 32-bit systems. Closes: #1071448

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 May 2024 17:19:21 +0200

dipy (1.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Graham Inggs ]
  * Fix FTBFS when built with the 'nocheck' profile
    Closes: #1070515

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

  [ Étienne Mollier ]
  * d/control: python3-nibabel is also needed for the doc.

  [ Michael R. Crusoe ]
  * d/control: h5py, trx, and tqdm are also required to build the docs.
  * Added test patch to fix pytest module-level setup. Closes: #1068146
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: remove obsolete "XB-Python3-Version" field.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 10 May 2024 19:12:08 +0200

dipy (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * skip-tests-needing-internet.patch: refresh.
  * deb_no_sources_for_docs patch: unfuzz.
  * no-network.patch: unfuzz.
  * skip-stringent-test.patch: remove.
    Patched files disappeared upstream.
  * sphinx-default.patch: refresh.
  * fix-privacy-breaches.patch: refresh.
  * fix-endianness.patch: remove: applied upstream.
  * clear-cython.patch: remove: applied upstream.
  * d/{rules,t/run-unit-test}: extend net skipping.
    Some of the test initially skipped though patch were not applying
    properly anymore.  This change puts the skipping logic in test driver
    invocation, in order to reduce the overhead of rebasing patches.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 18:03:49 +0100
