=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all,
            python3-pytest,
            xvfb, xauth,
            python3-matplotlib,
            python3-vtk9,
            python3-nibabel,
            python3-tables [!s390x],
            python3-pandas [!mips64el],
            python3-sklearn
Restrictions: allow-stderr

# Try running examples as autopkgtest to address bug #994575 - but
# several of them seem to require user interaction or additional
# modules - thus the test needs to be deactivated and is just some
# proof of concept currently

#Test-Command: xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
#Depends: @, python3-all,
#            python3-pytest,
#            xvfb, xauth,
#            python3-matplotlib,
#            python3-vtk9,
#            python3-nibabel,
#            python3-tables [!s390x],
#            python3-sklearn
#Restrictions: allow-stderr, needs-internet
