## dipy 1.10.0~rc1

=== debian/changelog ===
dipy (1.10.0~rc1-2) unstable; urgency=medium

  * Team upload.
  * Revert the running of the tests in parallel.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Nov 2024 17:16:28 +0100

dipy (1.10.0~rc1-1) unstable; urgency=medium

  * Team upload.
  * Forward python3 patch to upstream.
  * Snapshot of https://github.com/dipy/dipy/pull/3364/ (preparation for a
    1.10.0 release). Closes: #1081694
  * Refreshed patches.
  * Improve privacy patch
  * d/patches/tests_tempdir: added
  * Standards-Version: 4.7.0 (routine-update)
  * d/rules: adjust how xvfb is used to run the tests.
  * Run the tests in parallel
  * Run the tests with pybuild and the autopkgtests using pybuild-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 19:03:18 +0100
