=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export MPLBACKEND=Agg
 export MPLCONFIGDIR=/tmp
 export HOME=/tmp
+export TEST_WITH_XVFB=true
 
 ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
 export http_proxy=http://127.0.0.1:9/
@@ -56,6 +57,8 @@
 TEST_SPEC := ${SKIP_NET_TESTS} and $(SKIP_LONG_TESTS)
 endif
 
+export PYBUILD_TEST_ARGS=-k '$(TEST_SPEC)' --pyargs dipy
+
 %:
 	dh $@ --buildsystem=pybuild
 
@@ -63,11 +66,6 @@
 	dh_auto_clean || true
 	rm -rf .pybuild __pycache__
 	find dipy -name "*\.c" -delete
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Do not test just after build, lets install and then test
-endif
 
 override_dh_auto_build:
 	chmod 0644 doc/examples/*.py
@@ -96,25 +94,6 @@
 	# is not available in debian; these may need packaging to solve the
 	# privacy breach here.
 endif
-	# Run tests later on
-	# cd build to prevent use of local/not-built source tree
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -ex \
-	; for PYTHON in $(PY3VERS) \
-	; do	PYPKG="$(PACKAGE3_ROOT_DIR)/usr/lib/python$$PYTHON/dist-packages" \
-	;	export PYTHONPATH="$$PYPKG" \
-	;	echo "I: Running Dipy unittests using $$PYTHON" \
-	;	cd "$$PYPKG" \
-	;	PATH=$(PACKAGE3_ROOT_DIR)/usr/bin:$$PATH \
-		xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-			python$$PYTHON -m pytest -v -k '$(TEST_SPEC)' dipy \
-	;	rm .pytest_cache -rf \
-	; done
-endif
-	# Cleanup files landing unnecessarily in the python3 modules directory.
-	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/*.nii.gz
-	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/*.trk
-	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/affine.txt
 	# Cleanup files landing in non-standard path
 	rm -rfv debian/$(PACKAGE3_NAME)/usr/doc
