## dipy 1.10.0

=== debian/changelog ===
dipy (1.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Collin Watson ]
  * Fix skipping long tests
    Closes: #1090768

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2024 16:47:12 +0100

dipy (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches. Added patch to make the docs more reproducible.
    Removed "tests_tempdir" patch as it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 15 Dec 2024 15:15:30 +0100
