=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Michael Hanke <mih@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -35,8 +35,9 @@
                      python3-numpydoc <!nodoc>,
                      python3-skimage <!nodoc>,
                      python3-sphinx-design <!nodoc>,
+                     python3-sphinxcontrib.bibtex <!nodoc>,
                      python3-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org
