=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.29.35, !=0.29.29
numpy>=1.22.4
scipy>=1.8.1
nibabel>=4.0.0
h5py>=3.7.0
packaging>=19.0
tqdm>=4.30.0
trx-python>=0.2.9
