=== debian/changelog ===
dipy (1.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1096208
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches. Removed several applied upstream.
  * Updated the lists of tests to skip due to internet usage

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Mar 2025 14:13:33 +0100
