=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                      python3-sphinx-design <!nodoc>,
                      python3-sphinxcontrib.bibtex <!nodoc>,
                      python3-doc <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org
