=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,9 @@
 )
 SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 
-# WARNING: test specifications below should match d/t/run-unit-test!
-
 # These tests attempt to make use of the network, notably during setup phase.
 SKIP_NET_TESTS := \
-	not dipy/utils/tests/test_tractogram.py \
+	not test_tractogram.py \
 	and not test_io_info \
 	and not test_concatenate_flow \
 	and not test_convert_tractogram_flow \
@@ -43,11 +41,11 @@
 # These tests hog resources because they are too long, so it is preferable to
 # skip them to give the infrastructure some breath.
 SKIP_LONG_TESTS := \
-	not dipy/align/tests/test_streamwarp.py \
-	and not dipy/denoise/tests/test_lpca.py \
-	and not dipy/reconst/tests/test_sfm.py \
-	and not dipy/workflows/tests/test_reconst_csa_csd.py \
-	and not dipy/workflows/tests/test_reconst_rumba.py
+	not test_streamwarp.py \
+	and not test_lpca.py \
+	and not test_sfm.py \
+	and not test_reconst_csa_csd.py \
+	and not test_reconst_rumba.py
 
 SKIP_32BIT_TESTS := not test_check_img_shapes
